# -*- coding: utf-8 -*-

# Define here the models for your scraped items
#
# See documentation in:
# https://doc.scrapy.org/en/latest/topics/items.html

import scrapy


class ScwspiderItem(scrapy.Item):
    # define the fields for your item here like:
    # name = scrapy.Field()
    vehicle_model = scrapy.Field()  # 公告型号
    vehicle_batch = scrapy.Field()  # 公告批次
    vehicle_brand = scrapy.Field()  # 品牌
    vehicle_type = scrapy.Field()  # 类型
    approved_load = scrapy.Field()  # 额定质量
    gross_mass = scrapy.Field()  # 总质量
    unladen_mass = scrapy.Field()  # 装备质量
    fuel_type = scrapy.Field()  # 燃料种类
    axle_number = scrapy.Field()  # 轴数
    emission_standard = scrapy.Field() # 排放依据标准
    wheelbase = scrapy.Field() # 轴距
    axle_load = scrapy.Field() # 轴荷
    spring_nums = scrapy.Field() # 弹簧片数
    tire_nums = scrapy.Field() # 轮胎数
    tire_specification = scrapy.Field()    # 轮胎规格
    approaching_departure_angle = scrapy.Field()  # 接近离去角
    front_rear_suspension = scrapy.Field() # 前悬后悬
    front_gauge = scrapy.Field() # 前轮距
    back_gauge = scrapy.Field()  # 后轮距
    vehicle_id_number = scrapy.Field() # 识别代号
    vehicle_length = scrapy.Field() # 整车长
    vehicle_width = scrapy.Field() # 整车宽
    vehicle_high = scrapy.Field() # 整车高
    container_length = scrapy.Field() # 货厢长
    container_width = scrapy.Field() # 货厢宽
    container_high = scrapy.Field() # 货厢高
    maximum_speed = scrapy.Field() # 最高车速
    seat = scrapy.Field() # 额定载客
    cab_nums = scrapy.Field() # 驾驶室准乘人数
    streering = scrapy.Field() # 转向形式
    allow_trailer_weight = scrapy.Field() # 准拖挂车总质量
    zzllyxs = scrapy.Field() # 载质量利用系数
    bgcazzdczzl = scrapy.Field() # 半挂车鞍座最大承载质量
    company_name = scrapy.Field() # 企业名称
    company_address = scrapy.Field() # 企业地址
    postcode = scrapy.Field() # 邮政编码
    chasis1 = scrapy.Field() # 底盘1
    chasis2 = scrapy.Field() # 底盘2
    chasis3 = scrapy.Field()# 底盘3
    chasis4 = scrapy.Field()# 底盘4
    engine_info = scrapy.Field()  # 发动机信息 :发动机型号，发动机生产企业，发动机商标，排量，功率
    ut_url = scrapy.Field() # 爬取url
    ut_type = scrapy.Field() # 数据类型 scw_basic
    ut_source = scrapy.Field() # 数据来源 商车网
    ut_uptime= scrapy.Field() # 获取时间戳
    ut_dotime = scrapy.Field() # 获取日期
    ut_unique_id = scrapy.Field() # 唯一性md5
    ut_tale = scrapy.Field()
    style_img_url = scrapy.Field() # 车型图片

    # response.xpath('//div/table/tr[1]/td[1]').extract()