# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://doc.scrapy.org/en/latest/topics/item-pipeline.html
import pymongo

from SCWSpider import settings


class ScwspiderPipeline(object):
    def __init__(self):
        # 获取setting主机名、端口号和数据库名称
        host = settings.MONGODB_HOST
        port = settings.MONGODB_PORT
        dbname = settings.MONGODB_DB_NAME

        # 创建数据库连接
        self.client = pymongo.MongoClient(host=host, port=port,
                                     username=settings.MONGODB_DB_USERNAME,
                                     password=settings.MONGODB_DB_PASSWD)
        # 指向指定数据库
        mdb = self.client[dbname]
        # 获取数据库里面存放数据的表名
        self.post = mdb[settings.MONGODB_COLLECTION_NAME]

    def process_item(self, item, spider):
        data = dict(item)
        # 向指定的表里添加数据
        self.post.update_one({"vehicle_model": item["vehicle_model"], "vehicle_batch": item["vehicle_batch"]},
                             {"$set": data}, True)
        return item

    def __del__(self):
        self.client.close()
        print("连接关闭了")


if __name__ == '__main__':
    con = ScwspiderPipeline()
    print(con.client.list_database_names())
    # print(type(con.post))
    # print(con.post.update_one())
    # result = con.post.update_one({"vehicle_model": ["vehicle_model"]},
    #                              {"$set": {"vehicle_model": ["vehicle_model"], "vehicle_batch": "vehicle_batch"}})
    # result = con.post.insert_one({"vehicle_model": "vehicle_model", "vehicle_batch": "vehicle_batch"})
